<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ClassWiseFee extends Model
{
    protected $table = 'class_wise_fees'; //
    protected $fillable = ['class_id', 'fee_type_id', 'default_amount'];

    public function schoolClass() {
        return $this->belongsTo(SchoolClass::class, 'class_id');
    }

    public function feeType() {
        return $this->belongsTo(FeeType::class, 'fee_type_id');
    }
}